## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.model
Class ProceduralObjectImmutableModel

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.model.AbstractSchemaObjectImmutableModel
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.model.ProceduralObjectImmutableModel

All Implemented Interfaces:
  ISchemaObjectImmutableModel

    public class ProceduralObjectImmutableModel

extends AbstractSchemaObjectImmutableModel

Author:
  Hui Cao

Constructor Summary
`ProceduralObjectImmutableModel(SQLObject object, java.util.Map ojbects)`

Method Summary
`boolean` `isModelExist()` Check immutable model existence
`void` `refreshFromDB(java.lang.String newName)` Subclass should override this method

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.model.AbstractSchemaObjectImmutableModel
`equals, getAdditionalSQLObjects, getMainSQLObject`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProceduralObjectImmutableModel

    public ProceduralObjectImmutableModel(SQLObject object,
                                          java.util.Map ojbects)

Method Detail

### refreshFromDB

    public void refreshFromDB(java.lang.String newName)

  Description copied from class: `AbstractSchemaObjectImmutableModel`
  Subclass should override this method

  Specified by:
    `refreshFromDB` in interface `ISchemaObjectImmutableModel`
  Overrides:
    `refreshFromDB` in class `AbstractSchemaObjectImmutableModel`
  Parameters:
    `newName` - the name of the main object

### isModelExist

    public boolean isModelExist()

  Description copied from interface: `ISchemaObjectImmutableModel`
  Check immutable model existence

  Specified by:
    `isModelExist` in interface `ISchemaObjectImmutableModel`
  Overrides:
    `isModelExist` in class `AbstractSchemaObjectImmutableModel`
  Returns: